#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>
#include <ProgressConstants.au3>
#include <StaticConstants.au3>

Global $current_task, $progress, $parent

Func _WinClose()
	$TOPMOST_MSGBOX = 0x40004
	If MsgBox($TOPMOST_MSGBOX, "Quit Setup", "Would you like to quit the setup process early?") == 6 Then
		GUIDelete($parent)
	EndIf
EndFunc

Func _DrawGUI()
	$FIREBRICK = 0xb22222
	
	Opt("GUIOnEventMode", 1)
	Opt("GUIEventOptions", 1)
	
	$parent = GUICreate("Setup", -1, -1, -1, -1, BitOR($WS_MAXIMIZE, $WS_SYSMENU), $WS_EX_TOPMOST)
	GUISetOnEvent($GUI_EVENT_CLOSE, "_WinClose", $parent)
	GUISetBkColor($FIREBRICK, $parent)
	GUISetIcon("iu_logo_small.ico")
	GUISetState(@SW_SHOW, $parent)
	
	$child = GUICreate("Setup Progress", 520, 100, -1, 400, $WS_CHILD, -1, $parent)
	$progress = GUICtrlCreateProgress(10, 60, 500, 30)
	Opt("GUICoordMode", 1)
	GUICtrlCreateLabel("Please wait while your content is prepared.", 0, 10, 0, 0, $SS_CENTER)
	$current_task = GUICtrlCreateLabel("Preparing content...", 10, 30, 0, 0, $SS_LEFT)
	GUISetState(@SW_SHOW, $child)
EndFunc

Func _progress($percentage_increase, $task = "Preparing content...")
	GUICtrlSetData($current_task, $task)
	$current_percentage = GUICtrlRead($progress)
	GUICtrlSetData($progress, $current_percentage + $percentage_increase)
EndFunc